Subject: Re: GDB problem: maybe windbg would be better?
From: [email-masked] (Gunther Ebert)

9 Jul 1997 01:14:21 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 2.01Gold (WinNT; I)
Original-To: root <[email-masked]>
Original-Cc: [email-masked]
Original-Sender: [email-masked]

root wrote:
> 
> The solution is to write a windbg extension dll, that would read the stabs
> information for the executable, and answer to the queries of windbg. Windbg is
> thread aware, and is fairly robust as a debugger. The writing of a windbg
> extension would allow gcc compiled programs to be debugged using a gui, and
> would represent probably less development than the debugging of gdb under
> win32.
> 
> What do you think?
> 

I think this would be a great idea. I thought about this too but I haven't
found any documentation about the windbg debugger dll interface yet.

Gunther
-- 

Gunther Ebert
iXOS Anwendungs-Software GmbH
Angerstrasse 40-42
D-04177 Leipzig

Phone : +49 341 48503-0
Fax   : +49 341 48503-99
E-mail: mailto:[email-masked]
www   : http://www.ixos-leipzig.de
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".